#!/bin/ksh

export ORACLE_SID=orcl

export ORACLE_HOME=/u01/app/oracle/product/11.1.0/db_1

export PATH=/u01/app/oracle/product/11.1.0/db_1/bin:/bin:/usr/bin:/usr/local/bin:/usr/X11R6/bin

sqlplus sys/oracle as sysdba <<FIN!

set echo on

connect apps/apps

set timing on

PROMPT @Statement 41  

SELECT
    'B' || tt1.ch_featurevalue_09_id ch_featurevalue_09_id,
    'G' || tt1.ch_featurevalue_02_elgr_id ch_featurevalue_02_id,
    'r' || tt1.pg_featurevalue_15_elrg_id pg_featurevalue_15_id,
    'G' || tt1.pg_featurevalue_01_elgr_id pg_featurevalue_01_id,
    'G' || tt1.countrychannel_elgr_id countrychannel_id,
    'B' || tt1.productgroup_id productgroup_id,
    'G' || tt1.period_elgr_id period_id,
    SUM(tt1.dnfactorsales*tt1.turnoverfactor) salesvalueselloutlets,
    SUM(tt1.dnfactortotal*tt1.turnoverfactor) salesvaluetotaloutlets,
    SUM(tt1.distributionfactor*tt1.dissalesflag) selloutletsavg,
    SUM(tt1.distributionfactor*tt1.distotalflag) carroutletsavg
FROM
    --------------------------
    -- TempTable 1
    --------------------------
    (
    SELECT /* ORDERED INDEX(t1) USE_HASH(t1) INDEX(t2) */
        t2.ch_featurevalue_09_id ch_featurevalue_09_id,
        t3.elementgroup_id ch_featurevalue_02_elgr_id,
        t7.elementrange_id pg_featurevalue_15_elrg_id,
        t8.elementgroup_id pg_featurevalue_01_elgr_id,
        t4.elementgroup_id countrychannel_elgr_id,
        t5.productgroup_id productgroup_id,
        t9.elementgroup_id period_elgr_id,
        t2.outlet_id outlet_id,
        t1.project_id project_id,
        SIGN(SUM(ABS(DECODE(t1.pd_sales_units,NULL,0,t1.pd_sales_units)))) dnfactorsales,
        MAX(t1.pd_turnover_factor*t1.pd_projection_factor) turnoverfactor,
        SIGN(SUM(ABS(DECODE(t1.pd_sales_units,NULL,0,t1.pd_sales_units)) + ABS(DECODE(t1.pd_purchase_units,NULL,0,t1.pd_purchase_units)) + ABS(DECODE(t1.pd_stock_new_units,NULL,0,t1.pd_stock_new_units)))) dnfactortotal,
        MAX(t1.pd_distribution_factor) distributionfactor,
        SIGN(SUM(ABS(DECODE(t1.pd_sales_units,NULL,0,t1.pd_sales_units)))) dissalesflag,
        SIGN(SUM(ABS(DECODE(t1.pd_sales_units,NULL,0,t1.pd_sales_units)) + ABS(DECODE(t1.pd_purchase_units,NULL,0,t1.pd_purchase_units)) + ABS(DECODE(t1.pd_stock_new_units,NULL,0,t1.pd_stock_new_units)))) distotalflag,
        /* Additional Columns Begin */
        t1.project_id project_id_d, t1.period_id period_id_d, t1.outlet_id outlet_id_d
        /* Additional Columns End */
    FROM
        lu_item_293 t5,
        lu_pg_featurevalue_15 t6,
        lu_elementgroup_rel t8,
        lu_elementrange_rel t7,
        fact_pd_out_itm_293 t1,
        lu_elementgroup_rel t9,
        lu_outlet_293 t2,
        lu_elementgroup_rel t3,
        lu_elementgroup_rel t4
    WHERE
    /* Attribute Joins */
          ((t1.outlet_id = t2.outlet_id
    /* Customizing Begin */
      AND   t1.period_id = t2.period_id
      AND   t1.project_id = t2.project_id)
    /* Customizing End */
      AND  (t2.ch_featurevalue_02_id = t3.value_id)
      AND  (t2.country_channel_id = t4.value_id)
      AND  (t1.item_id = t5.item_id
    /* Customizing Begin */
      AND   t1.productgroup_id = t5.productgroup_id)
    /* Customizing End */
      AND  (t5.pg_featurevalue_15_id = t6.pg_featurevalue_15_id)
      AND  (t6.pg_featurevalue_15_num BETWEEN t7.lbound AND t7.ubound)
      AND  (t5.pg_featurevalue_01_id = t8.value_id)
      AND  (t1.period_id = t9.value_id)
          )
    /* Attribute Filters */
      AND ((t5.productgroup_id = 15520)
      AND  (t1.productgroup_id = 15520) /* Push Down Filters */
      AND  (t2.ch_featurevalue_09_id = 7379)
      AND  (t3.elementgroup_id IN (3481,3482))
      AND  (t7.elementrange_id IN (3091,3092,3093,3107))
      AND  (t8.elementgroup_id IN (1959,1960,1961,1962,8574))
      AND  (t4.elementgroup_id = 14786)
      AND  (t2.country_channel_id IN (1873,1882)) /* Resolved ElementGroup Filters */
      AND  (t1.country_channel_id IN (1873,1882)) /* Push Down Filters */
      AND  (t9.elementgroup_id = 14659)
      AND  (t1.period_id IN (20030699999060,20030799999030,20030799999060,20030799999120)) /* Resolved ElementGroup Filters */
          )
    /* Fact Filters */
      AND (t1.project_type_id = '1'
      AND  t1.project_type_id = '1'
      AND  t1.project_type_id = '1'
      AND  t1.project_type_id = '1'
      AND  t1.project_type_id = '1'
      AND  t1.project_type_id = '1'
          )
    GROUP BY
        t2.ch_featurevalue_09_id,
        t3.elementgroup_id,
        t7.elementrange_id,
        t8.elementgroup_id,
        t4.elementgroup_id,
        t5.productgroup_id,
        t9.elementgroup_id,
        t2.outlet_id,
        t1.project_id,
        /* Additional GroupBys Begin */
        t1.project_id, t1.period_id, t1.outlet_id
        /* Additional GroupBys End */
    ) tt1
GROUP BY
    tt1.ch_featurevalue_09_id,
    tt1.ch_featurevalue_02_elgr_id,
    tt1.pg_featurevalue_15_elrg_id,
    tt1.pg_featurevalue_01_elgr_id,
    tt1.countrychannel_elgr_id,
    tt1.productgroup_id,
    tt1.period_elgr_id
/

set timing off

FIN!

