set echo on

-- This example generates a workaround for a crash. This bug has already
-- been fixed but we toggle the bug fix using an underscore parameter 
-- which uses the (internal) feature called bug fix control.
-- This script will pause periodically to allow you to read the comments
-- and see the output of the previous command on the screen. Just press
-- return to make the demo resume.

pause

-- To begin the demo we will create the user sh and grant 
-- advisor privileges to him.

pause

grant connect, resource, dba, query rewrite, unlimited tablespace to sh identified by sh;

-- Next we need to create and populate the table used by the demo. 
-- We will also create an index on the table;

pause
connect sh/sh;


-- In order to crash the system we need to switch off the code line that 
--- normal protects against this type of crash. We can switch off the code
- by unsetting some underscore parameters. 

-- switch the code off
alter session set "_convert_set_to_join"=TRUE;
alter session set "_sdiag_crash"="SET_TO_JOIN";

-- Now that the code line has been switched off lets get the execution
-- plan for a simple statement.

pause

--- This statement caused the system to crash. 

-- The plan shows that we we will do a full table scan oun r.  
-- If we execut this simple system it will crash the system.
--- explain the plan

pause

explain plan for
select * from (
select prod_id, cust_id, time_id, channel_id from sales
intersect
select prod_id, cust_id, time_id, channel_id from sales
where channel_id = 'S'
minus
select prod_id, cust_id, time_id, channel_id from sales
where prod_id < 100
order by 1 desc, 2, 3 desc, 4 desc);

