/*
 * This program updates the Grid. Must be invoked with one argument: color
 */

// You need to import the java.sql and JDBC packages to use JDBC
import java.util.*;
import java.sql.*;
import oracle.jdbc.*;
import oracle.jdbc.pool.OracleDataSource;

// We import java.io to be able to read from the command line
import java.io.*;

class WcrUpdateGrid
{
  public static void main(String args[]) throws SQLException, IOException
  {
    System.out.print("Connecting to the database...");
    System.out.flush();
    System.out.println("Connecting...");
    // Open an OracleDataSource and get a connection
    OracleDataSource ods = new OracleDataSource();
    ods.setURL("jdbc:oracle:oci:jfv/jfv@ORCL");
    Connection conn = ods.getConnection();
    System.out.println("connected.");

    Random rn = new Random();
    int i = 0;
    String argString = "";

    if (args.length > 0) {
        for (String arg: args) {
                argString += arg;
        }
        argString = argString.trim();
    }

    for (i = 0; i < 300; i++) {
        // Prepare to update the grid with a color
        PreparedStatement pstmt = 
          conn.prepareStatement ("update wcr_grid set color=? where xcoor=? and ycoor=?");
        pstmt.setString (1, argString);          // The first ? is for COLOR
        pstmt.setInt (2, Math.abs(rn.nextInt() % 10));  // The second ? is for XCOOR
        pstmt.setInt (3, Math.abs(rn.nextInt() % 10));  // The fird ? is for YCOOR
        // Do the update
        pstmt.execute ();
        // Close the statement
        pstmt.close();

        try {
         Thread.currentThread().sleep(200);
         }
        catch (InterruptedException e) {
         e.printStackTrace();
         }

    }
    
    conn.close();
    System.out.println("Done.");
  }
}

