#!/bin/bash

export ORACLE_SID=orcl
export ORACLE_HOME=/u01/app/oracle/acfsmounts/acfs_db1
export PATH=/u01/app/oracle/acfsmounts/acfs_db1/bin:/bin:/usr/bin:/usr/local/bin:/usr/X11R6/bin

rman target / nocatalog <<END!

list failure;
change failure all closed noprompt;
list failure;

END!

echo "******************************************* "
echo "For demo purposes ONLY"
echo "Run as the OS user who installed the Oracle software, e.g. oracle"


sqlplus / as sysdba << fin!

set echo on

drop tablespace users2 including contents and datafiles;

drop tablespace example2 including contents and datafiles;


create tablespace users2 datafile '/u01/app/oracle/oradata/users2.dbf' size 10M;

create tablespace example2 datafile '/u01/app/oracle/oradata/example2.dbf' size 10M;

create table scott.DEPT2 tablespace users2 as select * from scott.DEPT;
create table scott.EMP2 tablespace users2 as select * from scott.EMP;
create table scott.BONUS2 tablespace users2 as select * from scott.BONUS;
create table scott.SALGRADE2 tablespace users2 as select * from scott.SALGRADE;

create table hr.regions2 tablespace example2 as select * from hr.regions;
create table hr.locations2 tablespace example2 as select * from hr.locations;
create table hr.employees2 tablespace example2 as select * from hr.employees;

exit;

fin!

./dra_archivelog.sh

rman target / @dra_full_backup.rmn 

echo "Basic setup done."
echo "Now, run one of the setup scripts for a specific scenario."
exit

