REM "******************************************* "
REM "For demo purposes ONLY:"
REM "  * Unlock HR account with the HR password"
REM "  * Create ARCHIVE_ADMIN user like HR with ARCHIVE_ADMIN password"
REM "  * Setup for Flashback Data Archive"
REM "Execute script as SYSDBA" 

CONNECT / AS SYSDBA

set echo on
set serveroutput on
-- set verify on
set term on
set lines 200
set pages 44
set pause on

/*== Create a tablespace for your flashback data archive ==*/
DROP TABLESPACE fla_tbs1 INCLUDING CONTENTS
/
CREATE SMALLFILE TABLESPACE fla_tbs1 
DATAFILE '+DATA' 
SIZE 10M REUSE AUTOEXTEND ON NEXT 640K MAXSIZE 32767M 
NOLOGGING EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO
/
pause Press [Enter] to continue...

/*== Set up the HR database account for this lesson ==*/
/*==  Note: The HR user has the UNLIMITED TABLESPACE system privilege. ==*/

ALTER USER hr IDENTIFIED BY "HR" ACCOUNT UNLOCK
/
/*== Create an ARCHIVE_ADMIN user like the HR user ==*/
/*==   with FLA_TBS1 default tablespace ==*/

CREATE USER ARCHIVE_ADMIN PROFILE DEFAULT IDENTIFIED BY ARCHIVE_ADMIN 
DEFAULT TABLESPACE FLA_TBS1 TEMPORARY TABLESPACE TEMP 
ACCOUNT UNLOCK
/
pause Press [Enter] to continue...

GRANT ALTER SESSION TO ARCHIVE_ADMIN;
GRANT CREATE DATABASE LINK TO ARCHIVE_ADMIN;
GRANT CREATE SEQUENCE TO ARCHIVE_ADMIN;
GRANT CREATE SESSION TO ARCHIVE_ADMIN;
GRANT CREATE SYNONYM TO ARCHIVE_ADMIN;
GRANT CREATE VIEW TO ARCHIVE_ADMIN;
GRANT UNLIMITED TABLESPACE TO ARCHIVE_ADMIN;
GRANT EXECUTE ON SYS.DBMS_STATS TO ARCHIVE_ADMIN;
GRANT CONNECT, RESOURCE TO ARCHIVE_ADMIN;

/*== copy employees table for demo purposes ==*/

connect hr/HR

drop table employees2 purge;

create table employees2 as select * from employees;

CONNECT / AS SYSDBA

/*== Setup for Flashback Data Archive completed ==*/
/*== The ARCHIVE_ADMIN user has the password: ARCHIVE_ADMIN ==*/
/*== The HR user has the password: HR ==*/

pause Press [Enter] to continue...
set pause off
set feedback on
