set echo on

CREATE OR REPLACE PROCEDURE INS_TEST 
    (arg1 IN VARCHAR2 DEFAULT 'LWT' ,arg2 IN VARCHAR2 DEFAULT 'DONE') AS
BEGIN
  INSERT INTO test_log VALUES(arg1,arg2,SYSTIMESTAMP);
END;
/

BEGIN
-- This will produce an error the first
-- time it is run since PROG_3 does not exist 
DBMS_SCHEDULER.DROP_PROGRAM (
   program_name           => '"SYSTEM"."PROG_3"');
END;
/

BEGIN
DBMS_SCHEDULER.CREATE_PROGRAM(
program_name=>'"SYSTEM"."PROG_3"',
program_action=>'"SYSTEM"."INS_TEST"',
program_type=>'STORED_PROCEDURE',
number_of_arguments=>2,
comments=>'Insert arguments into test_log',
enabled=>FALSE);

DBMS_SCHEDULER.DEFINE_PROGRAM_ARGUMENT(
program_name=>'"SYSTEM"."PROG_3"',
argument_name=>'"ARG1"',
argument_position=>1,
argument_type=>'VARCHAR2',
default_value=>'LWT',
out_argument=>FALSE);

DBMS_SCHEDULER.DEFINE_PROGRAM_ARGUMENT(
program_name=>'"SYSTEM"."PROG_3"',
argument_name=>'"ARG2"',
argument_position=>2,
argument_type=>'VARCHAR2',
default_value=>'DONE',
out_argument=>FALSE);
DBMS_SCHEDULER.ENABLE(
name=>'"SYSTEM"."PROG_3"');
END;
/

