REM "For demo purposes ONLY:"
REM "Setup for RMAN Catalog in ORCL"
REM "Execute script as SYSDBA" 

set echo on
set serveroutput on
set term on
set lines 200

/*== Confirm database connection ==*/
SELECT NAME FROM V$DATABASE;

/*== Create RCAT tablespace of 10 MB ==*/
DROP TABLESPACE RCAT including contents and datafiles;

CREATE TABLESPACE RCAT
  DATAFILE '+DATA' SIZE 10M;

/*== Create CATOWNER user with "oracle_4US" password ==*/
DROP USER catowner CASCADE;

create user catowner identified by oracle_4US
  default tablespace rcat
  quota unlimited on rcat;

/*== Grant privileges to CATOWNER  ==*/
GRANT CREATE SESSION to catowner; 

GRANT RECOVERY_CATALOG_OWNER to catowner;
PROMPT "Setup of CATOWNER user with "oracle_4US" password and RCAT tablespace complete."
exit
